Bug 249993 - net-mgmt/zabbix5-*: Update to 5.0.4
Summary: net-mgmt/zabbix5-*: Update to 5.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://www.zabbix.com/rn/rn5.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-29 20:45 UTC by Juraj Lutter
Modified: 2020-10-09 11:51 UTC (History)
4 users (show)

See Also:
mikael: maintainer-feedback+


Attachments
net-mgmt/zabbix5-server: Update to 5.0.4 (8.67 KB, patch)
2020-09-29 20:45 UTC, Juraj Lutter
no flags Details | Diff
net-mgmt/zabbix5-*: Update to 5.0.4 (69.46 KB, patch)
2020-09-29 21:32 UTC, Juraj Lutter
mikael: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter freebsd_committer 2020-09-29 20:45:57 UTC
Created attachment 218419 [details]
net-mgmt/zabbix5-server: Update to 5.0.4

Hi,

please find the patch attached.

* New features:
  - Added Windows service support for Zabbix agent 2
  - Added Oracle Database plugin
  - Added GetHeaders method to CurlHttpRequest javascript object
  - Added SysAid media type
  - Added diaginfo runtime command to log internal diagnostic information
  - Added Host context menu to hosts listed on 'Web monitoring' page
  - Added SolarWinds Service Desk webhook
  - Added media "TOPdesk"
  - Added LLD rules for stand-alone and CAPsMAN APs
  - Added iLert media type

* Bug Fixes:
  - Fixed ZabbixWeb Test Item for Admin is not working
  - Fixed minor template issues to follow guidelines
  - Fixed documentation for Agent2 PersistentBuffer
  - Updated VMware template to follow guidelines
  - Fixed fping interval detection, added log prints of detected options in
    debug mode, re-detect options every hour
  - Removed media_jira_with_CF_example.xml and moved example with custom
    fields example to readme
  - Added support of single-select, checkbox and radio button customfield
    types and "__zbx" tag filter for labels in Jira webhook
  - Add help flag to Zabbix Agent 2
  - Fixed HTTP agent JSON output when using HTTP/2
  - Fixed incorrect housekeeping form behaviour
  - Fixed filter block in lld overrides popup
  - Fixed oracle errors for host macro updates when linking templates
  - Increased age and duration related macro resolution to seconds
  - Fixed incorrect selected menu option for template screens page
  - Added runtime command diaginfo option to command line help messages
  - Changed link to "Web monitoring" page in context menu with filtering parameters
  - Fixed LLD override for applications
  - Added check of required cache size for vmware event messages
  - Fixed SSH monitoring when compiled with libssh; thanks to MATSUDA Daiki for the patch
  - Fixed Agent2 user-defined parameter key testing
  - Fixed description of URI field in Template DB MySQL by Zabbix agent 2
  - Fixed using outdated dynamic host when editing dynamic widgets on dashboard
  - Fixed performance of the "Latest data" screen with partitioned history tables
  - Enabled Memcached and MySQL plugins for Windows
  - Added non-trigger event types support to webhooks
  - Removed triggers for items Log growths, Log shrinks for MSSQL ODBC template
  - Fixed russian character in setup section and templates for Oracle ODBC and PostgreSQL agent2
  - Fixed unresolved macros in item names in data overview table
  - Changed log level increase command for Agent 2 to match Agent 1
  - Added support of ipv6 and unix sockets for memcached plugin
  - Fixed crash when performing housekeeping with disabled value cache
  - Fixed undefined index when importing host with non-existing interface
  - Updated JMX template to follow guidelines
  - Added overriding of triggers for IPMI Threshold sensors discovery
  - Changed Opsgenie media to handle extra options Tags and Teams
  - Removed proxy name from host breadcrumbs
  - Added new default item keys for item type "Zabbix aggregate"
  - Fixed discovered host group prototype saving during import
  - Fixed column sizes and paddings for items in graph edit form
  - Fixed incorrect copying of severeties in Problem widgets
  - Fixed SNMP type item test form not sending and resolving interface macros
  - Fixed displaying negative time in convertUnitsS() function
  - Fixed host connection macro in Slack media type
  - Fixed Oracle ODBC Template issues
  - Fixed Discord API version in Discord media type
  - Fixed compression availability not being checked when deleting history
  - Fixed Discord endpoint validation
Comment 1 Juraj Lutter freebsd_committer 2020-09-29 21:32:26 UTC
Created attachment 218420 [details]
net-mgmt/zabbix5-*: Update to 5.0.4

Patch with fixed plist for zabbix5-frontend
Comment 2 pg 2020-10-08 08:00:30 UTC
Comment on attachment 218420 [details]
net-mgmt/zabbix5-*: Update to 5.0.4

approved, thanks!
Comment 3 commit-hook freebsd_committer 2020-10-09 11:46:29 UTC
A commit references this bug:

Author: dbaio
Date: Fri Oct  9 11:46:17 UTC 2020
New revision: 551759
URL: https://svnweb.freebsd.org/changeset/ports/551759

Log:
  net-mgmt/zabbix5-*: Update to 5.0.4

  Changelog:	https://www.zabbix.com/rn/rn5.0.4

  PR:		249993
  Submitted by:	Juraj Lutter <juraj@lutter.sk>
  Approved by:	Pakhom Golynga <pg@pakhom.spb.ru> (maintainer)
  MFH:		2020Q4 (blanket: bugfix release)

Changes:
  head/net-mgmt/zabbix5-server/Makefile
  head/net-mgmt/zabbix5-server/distinfo
  head/net-mgmt/zabbix5-server/pkg-plist.frontend
Comment 4 commit-hook freebsd_committer 2020-10-09 11:50:33 UTC
A commit references this bug:

Author: dbaio
Date: Fri Oct  9 11:50:11 UTC 2020
New revision: 551761
URL: https://svnweb.freebsd.org/changeset/ports/551761

Log:
  MFH: r551759

  net-mgmt/zabbix5-*: Update to 5.0.4

  Changelog:	https://www.zabbix.com/rn/rn5.0.4

  PR:		249993
  Submitted by:	Juraj Lutter <juraj@lutter.sk>
  Approved by:	Pakhom Golynga <pg@pakhom.spb.ru> (maintainer)

  Approved by:	ports-secteam (blanket, bugfix release)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/net-mgmt/zabbix5-server/Makefile
  branches/2020Q4/net-mgmt/zabbix5-server/distinfo
  branches/2020Q4/net-mgmt/zabbix5-server/pkg-plist.frontend
Comment 5 Danilo G. Baio freebsd_committer 2020-10-09 11:51:51 UTC
Committed, thanks!